function [ coords, pocetKrizku ] = souradniceKrizku( bin, s1, sizeBin )

pocitadloKrizku=1;
coords=[];
for i=1:1:size(s1)
    if jeKrizek(vysekZBB(bin, s1(i).BoundingBox), sizeBin)
        temp=uint32(najdiStredKrizku(vysekZBB(bin, s1(i).BoundingBox)));
        if size(temp)~=0
        coords(pocitadloKrizku,1:2)=temp+uint32(floor(s1(i).BoundingBox(1:2)))+uint32([-1 -1]);
        end
        pocitadloKrizku=pocitadloKrizku+1;
    end
    
end


pocetKrizku=pocitadloKrizku-1;

end

